QGIS Application - Bug report #19890
Crashes in 3D view while changing the view angle
2018-09-19 03:29 PM - Abhishek Kumar

Status: Closed
Priority: High
Assignee:

Category: 3D

Affected QGIS version:3.2.2
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 27714

Description

User Feedback

When | go to the 3D view and set the configure options in there. It runs fine untill | change the view from top-view. After changing the view
its not certain when will it crash. Sometime immediately, sometime its works very fine for sometime. I'm able to change the view, zoom
in/out, rotate, etc. Then it suddenly crashes while loading tiles. Sometime it loads more than 150 tile successfully, other times it crashes in
less than 10. Every time it happens while changing the view and but is uncertain when (mostly under 30 seconds to 1 min)

Report Details

Crash ID: 99310e2b417f0e869597e211e8e0a69888b7e3da
Stack Trace

RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
RegisterProcTableCallback :
Qt3DRender::QAttribute::setVertexSize :
Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :
free :
Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::NodeManagers::manager<Qt3DRender::Render::RenderTarget, Qt3DRender::Render::Render TargetManager>

er>:
QThread::start :
BaseThreadInitThunk :
RtlValidSecurityDescriptor :
RtlValidSecurityDescriptor :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

2024-04-25

12

RQThr




System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:
Duplicates QGIS Application - Bug report # 17315: 3D Viewer: QGIS Crash when ... Feedback 2017-10-22

History

#1 - 2018-11-06 01:48 AM - Martin Dobias
- Resolution set to duplicate
- Status changed from Open to Closed

Closing as a duplicate as the symptoms and backtrace are the same as in #17315

#2 - 2018-11-06 01:48 AM - Martin Dobias
- Duplicates Bug report #17315: 3D Viewer: QGIS Crash when activating 3D Map view and 3D renderer added
